Subject: Re: HyperThreading
From: Chuck McDevitt <[email-masked]>
To: [email-masked]
Cc: Pablo Ruiz Garcia <[email-masked]>
Date: Wed, 27 Oct 2004 18:40:36 -0400

The test case I originally sent in to demonstrate the problem was using 
pdksh, not bash, 
so the problem isn't isolated to bash

P.s.  Sorry about the top post -- Lotus notes seems to force it to be that 
way.

Brian Ford <[email-masked]> 
Sent by: [email-masked]
10/27/2004 05:11 PM
Please respond to
[email-masked]

To
Pablo Ruiz Garcia <[email-masked]>
cc
[email-masked]
Subject
Re: HyperThreading

On Wed, 27 Oct 2004, Pablo Ruiz Garcia wrote:

> ----- Original Message -----
> From: "Brian Ford" <snip>
> To: "Pablo Ruiz Garcia" <snip>
> Cc: <snip>

I'm sure you don't care, but...

http://cygwin.com/acronyms/index.html#PCYMTNQREAIYR

> Sent: Wednesday, October 27, 2004 8:47 PM
> Subject: Re: HyperThreading
>
> > On Wed, 27 Oct 2004, Pablo Ruiz Garcia wrote:
> >
> >> Well I found a minor workaround.. set Affinity of proccess to only 
use
> >> one CPU (Thread).
> >
> > Threads and CPUs are not remotely the same things, so I don't know why 
you
> > have that in parenthesis.
>
> I have it in parenthesis, because *I* know that CPUs and Threads are not
> the same, but as I'm talking about a problem with "hyper-THREADING", I
> thought this way it would be easier to understand what i was talking
> about.
>
> I´m Sorry if this is a problem for you, but, in fact, I dont care 
anyway.

Ok.

> > But, I guess it's nice to know that you found a workaround for a 
problem
> > only known to you.  How do you expect it to ever be fixed if you don't
> > actually report it, or at least confirm that it has already been 
reported?

and exactly where...

> This problem has been reported in the past.. and I append a mail from
> another list member who includes references about this problem.

Oh yeah, right!  The "HYPERTHREADED" problem.  I should have known!

Please excuse my attempt to clarify so that I could actually try to
debug it.  Just curious if you read this part of:

http://cygwin.com/problems.html

>Do not assume that your problem is so trivial or so "well known" that it
>does not require any details or background from you. Many (most?) people
>who report problems fall into the trap of assuming that people are "clued
>into" their mental state when, in most cases, this is not the case.
>
>As a rule of thumb, if you find yourself referring to your problem as the
>problem with XYZ rather than a problem with XYZ then your message is
>suspect. Using the in this context means that you are assuming that your
>problem is well known. Unless you can point to an email message thread or
>FAQ entry (either of which is a good idea, btw) please do not assume that
>the readers of your message will be familiar with your problem.

as I suggested.

> ---> Forwarded Mail <---
> >AFAIK there was some kind of problem with hyperthreading on cygwin,
> >do anyone know if this problems has been fixed?
>
> No.  And they won't be fixed until someone sends a system or enough
> money to buy a system with to CGF.
>
> http://www.cygwin.com/ml/cygwin/2004-09/msg00082.html
>
> http://www.cygwin.com/ml/cygwin/2004-09/msg00091.html
>
> -Richard Campbell.

I have tried tracing both of these threads back to a:

http://cygwin.com/acronyms/index.html#STC

without success.  So, I have no idea what *your* "HYPERTHREADED" problem
actually is.   I rather doubt that anyone else does either.

The test cases for this issue that I could find all appear to use pipes in
bash, which have recently been shown to be buggy (PID reuse and exit
status issues).

If anyone still has a failing STC that doesn't use pipes in bash, please
send it to me as I'd like to take a look.  Personal email is fine as I'm
sure CGF doesn't want to hear about this issue any more.  I'm just
wondering if there are really many left that haven't been explained, since
I never see any.

-- 
Brian Ford
Senior Realtime Software Engineer
VITAL - Visual Simulation Systems
FlightSafety International
the best safety device in any aircraft is a well-trained pilot...

ForwardSourceID:NT00034952 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/